Passer au contenu principal
GET
/
v1
/
events
Get events
curl --request GET \
  --url https://ingest.hyperline.co/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "evt_abc123def456",
      "event_type": "api_call",
      "timestamp": "2024-01-15T10:30:00.000Z",
      "customer_id": "cus_xyz789",
      "record_id": "rec_123",
      "record": {
        "id": "rec_123",
        "endpoint": "/api/users",
        "method": "GET"
      }
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

take
number | null
défaut:50
Plage requise: 0 <= x <= 100
skip
number | null
défaut:0
Plage requise: x >= 0
order
enum<string>
défaut:desc

Sort direction.

Options disponibles:
asc,
desc
Exemple:

"desc"

sort
enum<string>

Field used to sort the results.

Options disponibles:
timestamp
event_type
string
requis

Event type to filter by

Exemple:

"api_call"

customer_id
string

Filter by customer ID

Exemple:

"cus_xyz789"

record_id__in
string

Filter by record ID. Supports comma-separated list for multiple records.

Exemple:

"rec_123"

timestamp_gte
string<date-time>

Filter events with timestamp greater than or equal to this ISO8601 date.

Exemple:

"2024-01-01T00:00:00Z"

timestamp_lte
string<date-time>

Filter events with timestamp less than or equal to this ISO8601 date.

Exemple:

"2024-01-31T23:59:59Z"

Réponse

200 - application/json
meta
object
requis
data
object[]
requis

List of Event.